import { Prop, Schema, SchemaFactory } from '@nestjs/mongoose';
import { Document } from 'mongoose';

export type SitesDocument = Sites & Document;

@Schema()
export class Sites {
  @Prop({ required: true, unique: true})
  domain: string;
  
  @Prop()
  cssSheetsLocation: string[];

  @Prop()
  scriptsSheetsLocation: string[];

  @Prop({ required: true})
  urlsList: string[];
}

export const SitesSchema = SchemaFactory.createForClass(Sites);